org.eclipse.rdf4j.sail.nativerdf.config

## Class NativeStoreConfig

- java.lang.Object
- - org.eclipse.rdf4j.sail.config.AbstractSailImplConfig
  - - org.eclipse.rdf4j.sail.base.config.BaseSailConfig
    - - org.eclipse.rdf4j.sail.nativerdf.config.NativeStoreConfig

- All Implemented Interfaces:
    SailImplConfig

      public class NativeStoreConfig
      extends BaseSailConfig

  Author:
    Arjohn Kampman

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NativeStoreConfig()`
    `NativeStoreConfig(String tripleIndexes)`
    `NativeStoreConfig(String tripleIndexes, boolean forceSync)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Resource` | `export(Model m)`
    `boolean` | `getForceSync()`
    `int` | `getNamespaceCacheSize()`
    `int` | `getNamespaceIDCacheSize()`
    `String` | `getTripleIndexes()`
    `int` | `getValueCacheSize()`
    `int` | `getValueIDCacheSize()`
    `void` | `parse(Model m, Resource implNode)`
    `void` | `setForceSync(boolean forceSync)`
    `void` | `setNamespaceCacheSize(int namespaceCacheSize)`
    `void` | `setNamespaceIDCacheSize(int namespaceIDCacheSize)`
    `void` | `setTripleIndexes(String tripleIndexes)`
    `void` | `setValueCacheSize(int valueCacheSize)`
    `void` | `setValueIDCacheSize(int valueIDCacheSize)`

    - ### Methods inherited from class org.eclipse.rdf4j.sail.base.config.BaseSailConfig

      `getEvaluationStrategyFactory, getEvaluationStrategyFactoryClassName, setEvaluationStrategyFactoryClassName`

    - ### Methods inherited from class org.eclipse.rdf4j.sail.config.AbstractSailImplConfig

      `getConnectionTimeOut, getIterationCacheSyncThreshold, getType, setConnectionTimeOut, setIterationCacheSyncThreshold, setType, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NativeStoreConfig

          public NativeStoreConfig()

    - #### NativeStoreConfig

          public NativeStoreConfig(String tripleIndexes)

    - #### NativeStoreConfig

          public NativeStoreConfig(String tripleIndexes,
                                   boolean forceSync)

  - ### Method Detail

    - #### getTripleIndexes

          public String getTripleIndexes()

    - #### setTripleIndexes

          public void setTripleIndexes(String tripleIndexes)

    - #### getForceSync

          public boolean getForceSync()

    - #### setForceSync

          public void setForceSync(boolean forceSync)

    - #### getValueCacheSize

          public int getValueCacheSize()

    - #### setValueCacheSize

          public void setValueCacheSize(int valueCacheSize)

    - #### getValueIDCacheSize

          public int getValueIDCacheSize()

    - #### setValueIDCacheSize

          public void setValueIDCacheSize(int valueIDCacheSize)

    - #### getNamespaceCacheSize

          public int getNamespaceCacheSize()

    - #### setNamespaceCacheSize

          public void setNamespaceCacheSize(int namespaceCacheSize)

    - #### getNamespaceIDCacheSize

          public int getNamespaceIDCacheSize()

    - #### setNamespaceIDCacheSize

          public void setNamespaceIDCacheSize(int namespaceIDCacheSize)

    - #### export

          public Resource export(Model m)

      Specified by:
        `export` in interface `SailImplConfig`
      Overrides:
        `export` in class `BaseSailConfig`

    - #### parse

          public void parse(Model m,
                            Resource implNode)
                     throws SailConfigException

      Specified by:
        `parse` in interface `SailImplConfig`
      Overrides:
        `parse` in class `BaseSailConfig`
      Throws:
        `SailConfigException`

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.